%define tarname	EnvisageCore
%define name 	python-enthought-envisagecore
%define version 3.0.1
%define release %mkrel 1

Summary:	Enthought Tool Suite - EnvisageCore project
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{tarname}-%{version}.tar.lzma
License:	BSD
Group:		Development/Python
Url:		http://code.enthought.com/projects/envisage/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Requires:	python-enthought-apptools >= 3.1.0
Requires:	python-enthought-enthoughtbase >= 3.0.1
Requires:	python-enthought-traits >= 3.0.3
BuildRequires:	python-setuptools >= 0.6c8
BuildRequires:	python-sphinx, python-docutils, tetex-latex
%py_requires -d

%description
Envisage is a Python-based framework for building extensible
applications, that is, applications whose functionality can be
extended by adding "plug-ins". Envisage provides a standard mechanism
for features to be added to an application, whether by the original
developer or by someone else. In fact, when you build an application
using Envisage, the entire application consists primarily of
plug-ins. In this respect, it is similar to the Eclipse and Netbeans
frameworks for Java applications.

Each plug-in is able to:

* Advertise where and how it can be extended (its "extension points").
* Contribute extensions to the extension points offered by other plug-ins.
* Create and share the objects that perform the real work of the 
  application ("services").

The EnvisageCore project provides the basic machinery of the Envisage
framework. In version 3.0, this project contains no plug-ins (version
2.0 does contain plug-ins for historical reasons). You are free to
use:

* plug-ins from the EnvisagePlugins project
* plug-ins from other ETS projects that expose their functionality as plug-ins
* plug-ins that you create yourself

%prep
%setup -q -n %{tarname}-%{version}

%build
%__python setup.py build
%__python setup.py build_docs --formats pdf

%install
%__rm -rf %{buildroot}

%__python setup.py install --root=%{buildroot} --record=FILELIST

%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root)
%doc *.txt examples/ build/docs/latex/*.pdf



%changelog
* Fri Dec 12 2008 Lev Givon <lev@mandriva.org> 3.0.1-1mdv2009.1
+ Revision: 313513
- Update to 3.0.1.

* Fri Oct 31 2008 Lev Givon <lev@mandriva.org> 3.0.0-1mdv2009.1
+ Revision: 298905
- import python-enthought-envisagecore


